Błąd podczas deployowania aplikacji React na Heroku

Odpowiedz Nowy wątek
2019-01-15 10:57
0

Cześć, mam problem z konfiguracją package.json jak próbuje wrzucić aplikacje w reakcie przez heroku. Konfiguracja jest gotowcem pod projekt, pół roku temu działała teraz już nie. Ma ktoś pomysł jak to naprawić?

screenshot-20190115105422.png

screenshot-20190115105434.png

edytowany 1x, ostatnio: Patryk27, 2019-01-15 11:02
Nazwa wątku != tagi. - Patryk27 2019-01-15 11:02

Pozostało 580 znaków

2019-01-15 11:02
0

Zdaje się, że wyciąłeś komunikat błędu (^~~~~~~~) :-P


edytowany 1x, ostatnio: Patryk27, 2019-01-15 11:02

Pozostało 580 znaków

2019-01-15 11:15
0

w sensie przy "transform-runtime": "0.0.0" czy gdzie? bo tu dodałem i nic to nie zmieniło.. w innych miejscach jest wszędzie

Pozostało 580 znaków

2019-01-15 11:30
0

Nie ma nic powyżej compilation terminated w logach?


Pozostało 580 znaków

2019-01-15 11:38
0

https://4programmers.net/Pastebin/10448

Pozostało 580 znaków

2019-01-16 07:37
0

I jak nikt nie wie jak rozwiązać problem tego noda?

Pozostało 580 znaków

2019-01-16 07:58
0

Problem występuje w tym momencie:

> [email protected] install /tmp/build_200c54f6d9a5f677ec76f3b37a47482f/node_modules/node-sass
> node scripts/install.js

Downloading binary from https://github.com/sass/node-sass/releases/download/v4.7.2/linux-x64-64_binding.node
Cannot download "https://github.com/sass/node-sass/releases/download/v4.7.2/linux-x64-64_binding.node": 

HTTP error 404 Not Found       

Instalujesz node-sass 4.7 na Node 10 (wyżej w logach masz Downloading and installing node 10.15.0), którego ono nie wspiera (https://github.com/sass/node-sass) - powinieneś albo wymusić Node 8, albo przerzucić się na node-sass 4.9; identyczny problem wystąpił np. tu.


edytowany 2x, ostatnio: Patryk27, 2019-01-16 07:59

Pozostało 580 znaków

2019-01-16 09:11
0

Dzięki za odpowiedź ;) Podmieniłem tego node-sass w package.json na 4.9.0 dalej instaluje 10.15.0 i dalej wywala błąd tak jakby nic się nie zmieniło, nie rozumiem. A już się ucieszyłem, że rozwiązanie jest takie proste..

Pozostało 580 znaków

2019-01-16 10:10
0

Mógłbyś podesłać aktualny log?


Pozostało 580 znaków

2019-01-16 10:15
0

Dokładnie to samo. I te same błędy.
Nie wiem czemu dalej instaluje 4.7.2 jak w package.json jest już 4.9.0 zmienione.

[email protected] install /tmp/build_200c54f6d9a5f677ec76f3b37a47482f/node_modules/node-sass
node scripts/install.js

   Downloading binary from https://github.com/sass/node-sass/releases/download/v4.7.2/linux-x64-64_binding.node
   Cannot download "https://github.com/sass/node-sass/releases/download/v4.7.2/linux-x64-64_binding.node": 

   HTTP error 404 Not Found

Pozostało 580 znaków

2019-01-16 10:19
0

a poczekaj wyżej jest jeszcze coś o tym node 4.9.0

screenshot-20190116101953.png

Pozostało 580 znaków

Odpowiedz
Liczba odpowiedzi na stronę

1 użytkowników online, w tym zalogowanych: 0, gości: 1, botów: 0